test: lh_core/calceng.h File Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# calceng.h File Reference

`#include "TypeDefs.h"`

Go to the source code of this file.

## Defines

#define | LH_CALC_ENGINE_UNDEF_MODE 0
#define | LH_CALC_ENGINE_P_TO_P 1
#define | LH_CALC_ENGINE_P_TO_U 2
#define | LH_CALC_ENGINE_U_TO_P 3
#define | LH_CALC_ENGINE_U_TO_U 4

## Typedefs

typedef unsigned char | LH_UINT8
typedef unsigned short | LH_UINT16
typedef unsigned long | LH_UINT32

## Functions

CMError | LHCalc3to3_Di8_Do8_Lut8_G32 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di16_Do8_Lut8_G32 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di8_Do16_Lut8_G32 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di16_Do16_Lut8_G32 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di8_Do8_Lut8_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di16_Do8_Lut8_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di8_Do16_Lut8_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di16_Do16_Lut8_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di8_Do8_Lut16_G32 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di16_Do8_Lut16_G32 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di8_Do16_Lut16_G32 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di16_Do16_Lut16_G32 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di8_Do8_Lut16_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di16_Do8_Lut16_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di8_Do16_Lut16_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di16_Do16_Lut16_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di8_Do8_Lut8_G32 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di16_Do8_Lut8_G32 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di8_Do16_Lut8_G32 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di16_Do16_Lut8_G32 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di8_Do8_Lut8_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di16_Do8_Lut8_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di8_Do16_Lut8_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di16_Do16_Lut8_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di8_Do8_Lut16_G32 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di16_Do8_Lut16_G32 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di8_Do16_Lut16_G32 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di16_Do16_Lut16_G32 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di8_Do8_Lut16_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di16_Do8_Lut16_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di8_Do16_Lut16_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di16_Do16_Lut16_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di8_Do8_Lut8_G8 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di16_Do8_Lut8_G8 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di8_Do16_Lut8_G8 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di16_Do16_Lut8_G8 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di8_Do8_Lut8_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di16_Do8_Lut8_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di8_Do16_Lut8_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di16_Do16_Lut8_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di8_Do8_Lut16_G8 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di16_Do8_Lut16_G8 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di8_Do16_Lut16_G8 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di16_Do16_Lut16_G8 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di8_Do8_Lut16_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di16_Do8_Lut16_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di8_Do16_Lut16_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di16_Do16_Lut16_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di8_Do8_Lut8_G8 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di16_Do8_Lut8_G8 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di8_Do16_Lut8_G8 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di16_Do16_Lut8_G8 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di8_Do8_Lut8_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di16_Do8_Lut8_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di8_Do16_Lut8_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di16_Do16_Lut8_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di8_Do8_Lut16_G8 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di16_Do8_Lut16_G8 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di8_Do16_Lut16_G8 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di16_Do16_Lut16_G8 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di8_Do8_Lut16_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di16_Do8_Lut16_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di8_Do16_Lut16_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di16_Do16_Lut16_G16 (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di8_Do8_Lut8_G32_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di16_Do8_Lut8_G32_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di8_Do16_Lut8_G32_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di16_Do16_Lut8_G32_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di8_Do8_Lut8_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di16_Do8_Lut8_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di8_Do16_Lut8_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di16_Do16_Lut8_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di8_Do8_Lut16_G32_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di16_Do8_Lut16_G32_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di8_Do16_Lut16_G32_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di16_Do16_Lut16_G32_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di8_Do8_Lut16_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di16_Do8_Lut16_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di8_Do16_Lut16_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to3_Di16_Do16_Lut16_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di8_Do8_Lut8_G32_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di16_Do8_Lut8_G32_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di8_Do16_Lut8_G32_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di16_Do16_Lut8_G32_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di8_Do8_Lut8_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di16_Do8_Lut8_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di8_Do16_Lut8_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di16_Do16_Lut8_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di8_Do8_Lut16_G32_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di16_Do8_Lut16_G32_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di8_Do16_Lut16_G32_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di16_Do16_Lut16_G32_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di8_Do8_Lut16_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di16_Do8_Lut16_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di8_Do16_Lut16_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc3to4_Di16_Do16_Lut16_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di8_Do8_Lut8_G8_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di16_Do8_Lut8_G8_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di8_Do16_Lut8_G8_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di16_Do16_Lut8_G8_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di8_Do8_Lut8_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di16_Do8_Lut8_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di8_Do16_Lut8_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di16_Do16_Lut8_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di8_Do8_Lut16_G8_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di16_Do8_Lut16_G8_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di8_Do16_Lut16_G8_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di16_Do16_Lut16_G8_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di8_Do8_Lut16_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di16_Do8_Lut16_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di8_Do16_Lut16_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to3_Di16_Do16_Lut16_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di8_Do8_Lut8_G8_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di16_Do8_Lut8_G8_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di8_Do16_Lut8_G8_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di16_Do16_Lut8_G8_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di8_Do8_Lut8_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di16_Do8_Lut8_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di8_Do16_Lut8_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di16_Do16_Lut8_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di8_Do8_Lut16_G8_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di16_Do8_Lut16_G8_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di8_Do16_Lut16_G8_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di16_Do16_Lut16_G8_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di8_Do8_Lut16_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di16_Do8_Lut16_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di8_Do16_Lut16_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)
CMError | LHCalc4to4_Di16_Do16_Lut16_G16_LO (CMCalcParamPtr calcParam, CMLutParamPtr lutParam)

## Define Documentation

#define LH_CALC_ENGINE_P_TO_P 1

| Definition at line 30 of file lh_core/calceng.h.

#define LH_CALC_ENGINE_P_TO_U 2

| Definition at line 31 of file lh_core/calceng.h.

#define LH_CALC_ENGINE_U_TO_P 3

| Definition at line 32 of file lh_core/calceng.h.

#define LH_CALC_ENGINE_U_TO_U 4

| Definition at line 33 of file lh_core/calceng.h.

#define LH_CALC_ENGINE_UNDEF_MODE 0

| Definition at line 29 of file lh_core/calceng.h.

## Typedef Documentation

typedef unsigned short LH_UINT16

| Definition at line 22 of file lh_core/calceng.h.

typedef unsigned long LH_UINT32

| Definition at line 23 of file lh_core/calceng.h.

typedef unsigned char LH_UINT8

| Definition at line 21 of file lh_core/calceng.h.

## Function Documentation

CMError LHCalc3to3_Di16_Do16_Lut16_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to3_Di16_Do16_Lut16_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to3_Di16_Do16_Lut16_G32 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to3_Di16_Do16_Lut16_G32_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to3_Di16_Do16_Lut8_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to3_Di16_Do16_Lut8_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to3_Di16_Do16_Lut8_G32 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to3_Di16_Do16_Lut8_G32_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to3_Di16_Do8_Lut16_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to3_Di16_Do8_Lut16_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to3_Di16_Do8_Lut16_G32 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to3_Di16_Do8_Lut16_G32_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to3_Di16_Do8_Lut8_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to3_Di16_Do8_Lut8_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to3_Di16_Do8_Lut8_G32 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to3_Di16_Do8_Lut8_G32_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to3_Di8_Do16_Lut16_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to3_Di8_Do16_Lut16_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to3_Di8_Do16_Lut16_G32 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to3_Di8_Do16_Lut16_G32_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to3_Di8_Do16_Lut8_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to3_Di8_Do16_Lut8_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to3_Di8_Do16_Lut8_G32 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to3_Di8_Do16_Lut8_G32_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to3_Di8_Do8_Lut16_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to3_Di8_Do8_Lut16_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to3_Di8_Do8_Lut16_G32 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to3_Di8_Do8_Lut16_G32_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to3_Di8_Do8_Lut8_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to3_Di8_Do8_Lut8_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to3_Di8_Do8_Lut8_G32 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to3_Di8_Do8_Lut8_G32_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to4_Di16_Do16_Lut16_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to4_Di16_Do16_Lut16_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to4_Di16_Do16_Lut16_G32 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to4_Di16_Do16_Lut16_G32_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to4_Di16_Do16_Lut8_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to4_Di16_Do16_Lut8_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to4_Di16_Do16_Lut8_G32 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to4_Di16_Do16_Lut8_G32_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to4_Di16_Do8_Lut16_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to4_Di16_Do8_Lut16_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to4_Di16_Do8_Lut16_G32 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to4_Di16_Do8_Lut16_G32_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to4_Di16_Do8_Lut8_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to4_Di16_Do8_Lut8_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to4_Di16_Do8_Lut8_G32 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to4_Di16_Do8_Lut8_G32_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to4_Di8_Do16_Lut16_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to4_Di8_Do16_Lut16_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to4_Di8_Do16_Lut16_G32 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to4_Di8_Do16_Lut16_G32_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to4_Di8_Do16_Lut8_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to4_Di8_Do16_Lut8_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to4_Di8_Do16_Lut8_G32 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to4_Di8_Do16_Lut8_G32_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to4_Di8_Do8_Lut16_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to4_Di8_Do8_Lut16_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to4_Di8_Do8_Lut16_G32 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to4_Di8_Do8_Lut16_G32_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to4_Di8_Do8_Lut8_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to4_Di8_Do8_Lut8_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc3to4_Di8_Do8_Lut8_G32 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc3to4_Di8_Do8_Lut8_G32_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to3_Di16_Do16_Lut16_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to3_Di16_Do16_Lut16_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to3_Di16_Do16_Lut16_G8 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to3_Di16_Do16_Lut16_G8_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to3_Di16_Do16_Lut8_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to3_Di16_Do16_Lut8_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to3_Di16_Do16_Lut8_G8 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to3_Di16_Do16_Lut8_G8_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to3_Di16_Do8_Lut16_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to3_Di16_Do8_Lut16_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to3_Di16_Do8_Lut16_G8 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to3_Di16_Do8_Lut16_G8_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to3_Di16_Do8_Lut8_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to3_Di16_Do8_Lut8_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to3_Di16_Do8_Lut8_G8 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to3_Di16_Do8_Lut8_G8_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to3_Di8_Do16_Lut16_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to3_Di8_Do16_Lut16_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to3_Di8_Do16_Lut16_G8 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to3_Di8_Do16_Lut16_G8_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to3_Di8_Do16_Lut8_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to3_Di8_Do16_Lut8_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to3_Di8_Do16_Lut8_G8 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to3_Di8_Do16_Lut8_G8_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to3_Di8_Do8_Lut16_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to3_Di8_Do8_Lut16_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to3_Di8_Do8_Lut16_G8 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to3_Di8_Do8_Lut16_G8_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to3_Di8_Do8_Lut8_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to3_Di8_Do8_Lut8_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to3_Di8_Do8_Lut8_G8 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to3_Di8_Do8_Lut8_G8_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to4_Di16_Do16_Lut16_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to4_Di16_Do16_Lut16_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to4_Di16_Do16_Lut16_G8 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to4_Di16_Do16_Lut16_G8_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to4_Di16_Do16_Lut8_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to4_Di16_Do16_Lut8_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to4_Di16_Do16_Lut8_G8 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to4_Di16_Do16_Lut8_G8_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to4_Di16_Do8_Lut16_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to4_Di16_Do8_Lut16_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to4_Di16_Do8_Lut16_G8 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to4_Di16_Do8_Lut16_G8_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to4_Di16_Do8_Lut8_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to4_Di16_Do8_Lut8_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to4_Di16_Do8_Lut8_G8 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to4_Di16_Do8_Lut8_G8_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to4_Di8_Do16_Lut16_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to4_Di8_Do16_Lut16_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to4_Di8_Do16_Lut16_G8 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to4_Di8_Do16_Lut16_G8_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to4_Di8_Do16_Lut8_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to4_Di8_Do16_Lut8_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to4_Di8_Do16_Lut8_G8 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to4_Di8_Do16_Lut8_G8_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to4_Di8_Do8_Lut16_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to4_Di8_Do8_Lut16_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to4_Di8_Do8_Lut16_G8 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to4_Di8_Do8_Lut16_G8_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to4_Di8_Do8_Lut8_G16 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to4_Di8_Do8_Lut8_G16_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().

CMError LHCalc4to4_Di8_Do8_Lut8_G8 | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindCalcRoutine().

CMError LHCalc4to4_Di8_Do8_Lut8_G8_LO | ( | CMCalcParamPtr | calcParam,
|  | CMLutParamPtr | lutParam
| ) |

| Referenced by FindLookupRoutine().